/*
 */

#include "suspend.h" 	/* for real_nr_free_pages() */

#ifdef CONFIG_SOFTWARE_SUSPEND_DEBUG

#define MAX_FREEMEM_SLOTS 26
enum {
	SUSPEND_FREE_BASE,
	SUSPEND_FREE_CONSOLE_ALLOC,
	SUSPEND_FREE_DRAIN_PCP,
	SUSPEND_FREE_IN_USE_MAP,
	SUSPEND_FREE_PS1_MAP,
	SUSPEND_FREE_PS1COPY_MAP,
	SUSPEND_FREE_PS2_MAP,
	SUSPEND_FREE_ALLOCD_PAGES_MAP,
	SUSPEND_FREE_CHECKSUM_MAP,
	SUSPEND_FREE_UNMAP_MAP,
	SUSPEND_FREE_RELOAD_PAGES,
	SUSPEND_FREE_INIT_PLUGINS,
	SUSPEND_FREE_FREEZER,
	SUSPEND_FREE_EAT_MEMORY,
	SUSPEND_FREE_SYNC,
	SUSPEND_FREE_GRABBED_MEMORY,
	SUSPEND_FREE_EXTENT_PAGES,
	SUSPEND_FREE_EXTRA_PD1,
	SUSPEND_FREE_WRITER_STORAGE,
	SUSPEND_FREE_HEADER_STORAGE,
	SUSPEND_FREE_CHECKSUM_PAGES,
	SUSPEND_FREE_KSTAT,
	SUSPEND_FREE_DEBUG_INFO,
	SUSPEND_FREE_INVALIDATE_IMAGE,
	SUSPEND_FREE_IO,
	SUSPEND_FREE_IO_INFO,
	SUSPEND_FREE_START_ONE
};

extern void show_pcp_lists(void);
extern void suspend_store_free_mem(int slot, int side);
extern void suspend_display_free_mem(void);

#define cond_show_pcp_lists() \
do { \
	if (TEST_DEBUG_STATE(SUSPEND_FREEZER)) \
		show_pcp_lists(); \
} while(0)

#define MDELAY(a) do { if (TEST_ACTION_STATE(SUSPEND_SLOW)) mdelay(a); } \
	while (0)

#define PRINTFREEMEM(desn) \
	suspend_message(SUSPEND_MEMORY, SUSPEND_HIGH, 1, \
		"Free memory %s: %d.\n", desn, \
		real_nr_free_pages());


#else	/* ! CONFIG_SOFTWARE_SUSPEND_DEBUG */

#define cond_show_pcp_lists() do { } while(0)
#define suspend_store_free_mem(slot, side) do { } while (0)
#define suspend_display_free_mem() do { } while (0)
#define MDELAY(a) do { } while (0)
#define PRINTFREEMEM(desn) do { } while(0)
#endif

