/*
 * LZF support.
 */

#include <linux/kernel.h>
#include <linux/module.h>
#include <asm/string.h>

/*
 * size of hashtable is (1 << HLOG) * sizeof (char *)
 * decompression is independent of the hash table size
 * the difference between 15 and 14 is very small
 * for small blocks (and 14 is also faster).
 * For a low-memory configuration, use HLOG == 13;
 * For best compression, use 15 or 16.
 */
#define HLOG 14

/*
 * sacrifice some compression quality in favour of compression speed.
 * (roughly 1-2% worse compression for large blocks and
 * 9-10% for small, redundant, blocks and >>20% better speed in both cases)
 * In short: enable this for binary data, disable this for text data.
 */
#define ULTRA_FAST 1

#define STRICT_ALIGN 0
#define USE_MEMCPY 1
#define INIT_HTAB 0

